# Uses of Interface
org.eclipse.ui.IWorkbenchPartReference

Packages that use IWorkbenchPartReference
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.databinding.typed
org.eclipse.ui.internal

## Uses of IWorkbenchPartReference in org.eclipse.ui

Subinterfaces of IWorkbenchPartReference in org.eclipse.ui
Modifier and Type
Interface
Description
`interface`
`IEditorReference`
Implements a reference to an editor.
`interface`
`IViewReference`
Defines a reference to an IViewPart.
Methods in org.eclipse.ui that return IWorkbenchPartReference
Modifier and Type
Method
Description
`IWorkbenchPartReference`
IPartService.`getActivePartReference()`
Returns the active part reference.
`IWorkbenchPartReference`
IWorkbenchPage.`getReference(IWorkbenchPart part)`
Find the part reference for the given part.
`IWorkbenchPartReference[]`
MultiPartInitException.`getReferences()`
Returns an array of part references, containing references of parts that were intialized correctly.
Methods in org.eclipse.ui with parameters of type IWorkbenchPartReference
Modifier and Type
Method
Description
`int`
IWorkbenchPage.`getPartState(IWorkbenchPartReference ref)`
Returns the maximized/minimized/restored state of the given part reference.
`default void`
IPartListener2.`partActivated(IWorkbenchPartReference partRef)`
Notifies this listener that the given part has been activated.
`default void`
IPartListener2.`partBroughtToTop(IWorkbenchPartReference partRef)`
Notifies this listener that the given part has been brought to the top.
`default void`
IPartListener2.`partClosed(IWorkbenchPartReference partRef)`
Notifies this listener that the given part has been closed.
`default void`
IPartListener2.`partDeactivated(IWorkbenchPartReference partRef)`
Notifies this listener that the given part has been deactivated.
`default void`
IPartListener2.`partHidden(IWorkbenchPartReference partRef)`
Notifies this listener that the given part is hidden or obscured by another part.
`default void`
IPartListener2.`partInputChanged(IWorkbenchPartReference partRef)`
Notifies this listener that the given part's input was changed.
`default void`
IPartListener2.`partOpened(IWorkbenchPartReference partRef)`
Notifies this listener that the given part has been opened.
`default void`
IPartListener2.`partVisible(IWorkbenchPartReference partRef)`
Notifies this listener that the given part is visible.
`void`
IPerspectiveListener2.`perspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, IWorkbenchPartReference partRef, String changeId)`
Notifies this listener that a part in the given page's perspective has changed in some way (for example, view show/hide, editor open/close, etc).
`void`
PerspectiveAdapter.`perspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, IWorkbenchPartReference partRef, String changeId)`
`void`
IWorkbenchPage.`setPartState(IWorkbenchPartReference ref, int state)`
Set the state of the given part reference.
`void`
IWorkbenchPage.`toggleZoom(IWorkbenchPartReference ref)`
Zoom the page in on a part.
Constructors in org.eclipse.ui with parameters of type IWorkbenchPartReference
Modifier
Constructor
Description
``
`MultiPartInitException(IWorkbenchPartReference[] references, PartInitException[] exceptions)`
Creates a new exception object.

## Uses of IWorkbenchPartReference in org.eclipse.ui.databinding.typed

Methods in org.eclipse.ui.databinding.typed that return types with arguments of type IWorkbenchPartReference
Modifier and Type
Method
Description
`static <S extends IPartService>
IValueProperty<S, IWorkbenchPartReference>`
WorkbenchProperties.`activePartReference()`
Returns a property for observing the active part reference of a part service.

## Uses of IWorkbenchPartReference in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement IWorkbenchPartReference
Modifier and Type
Class
Description
`class`
`EditorReference`
`class`
`ViewReference`
`class`
`WorkbenchPartReference`
Methods in org.eclipse.ui.internal that return IWorkbenchPartReference
Modifier and Type
Method
Description
`IWorkbenchPartReference`
PartService.`getActivePartReference()`
`IWorkbenchPartReference`
SlavePartService.`getActivePartReference()`
`IWorkbenchPartReference`
WorkbenchPage.`getActivePartReference()`
`IWorkbenchPartReference`
PartSite.`getPartReference()`
Returns the part reference.
`IWorkbenchPartReference`
WorkbenchPage.`getReference(IWorkbenchPart part)`
Returns the reference to the given part, or `null` if it has no reference (i.e. it is not a top-level part in this workbench page).
`IWorkbenchPartReference[]`
WorkbenchPage.`getSortedParts()`
Methods in org.eclipse.ui.internal with parameters of type IWorkbenchPartReference
Modifier and Type
Method
Description
`void`
WorkbenchPage.`firePartInputChanged(IWorkbenchPartReference partReference)`
`void`
PerspectiveListenerList.`firePerspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, IWorkbenchPartReference partRef, String changeId)`
Notifies the listener that a part has been affected in the given perspective.
`void`
WorkbenchWindow.`firePerspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, IWorkbenchPartReference partRef, String changeId)`
Fires perspective changed for an affected part
`MUIElement`
WorkbenchPage.`getActiveElement(IWorkbenchPartReference ref)`
`int`
WorkbenchPage.`getPartState(IWorkbenchPartReference ref)`
`boolean`
WorkbenchPage.`isPartVisible(IWorkbenchPartReference reference)`
`void`
ObjectPluginAction.`partActivated(IWorkbenchPartReference partRef)`
`void`
PartService.`partActivated(IWorkbenchPartReference partRef)`
`void`
ObjectPluginAction.`partBroughtToTop(IWorkbenchPartReference partRef)`
`void`
PartService.`partBroughtToTop(IWorkbenchPartReference partRef)`
`void`
ObjectPluginAction.`partClosed(IWorkbenchPartReference partRef)`
`void`
PartService.`partClosed(IWorkbenchPartReference partRef)`
`void`
ObjectPluginAction.`partDeactivated(IWorkbenchPartReference partRef)`
`void`
PartService.`partDeactivated(IWorkbenchPartReference partRef)`
`void`
ObjectPluginAction.`partHidden(IWorkbenchPartReference partRef)`
`void`
PartService.`partHidden(IWorkbenchPartReference partRef)`
`void`
ObjectPluginAction.`partInputChanged(IWorkbenchPartReference partRef)`
`void`
PartService.`partInputChanged(IWorkbenchPartReference partRef)`
`void`
ObjectPluginAction.`partOpened(IWorkbenchPartReference partRef)`
`void`
PartService.`partOpened(IWorkbenchPartReference partRef)`
`void`
ObjectPluginAction.`partVisible(IWorkbenchPartReference partRef)`
`void`
PartService.`partVisible(IWorkbenchPartReference partRef)`
`void`
WorkbenchPage.`setPartState(IWorkbenchPartReference ref, int iState)`
`void`
WorkbenchPage.`toggleZoom(IWorkbenchPartReference ref)`
Method parameters in org.eclipse.ui.internal with type arguments of type IWorkbenchPartReference
Modifier and Type
Method
Description
`protected void`
CycleViewHandler.`addExistingReference(List<IWorkbenchPartReference> refs, MPart part)`
Adds the `IWorkbenchPartReference` contained in part's transient data, if exists.
Constructors in org.eclipse.ui.internal with parameters of type IWorkbenchPartReference
Modifier
Constructor
Description
``
`EditorSite(MPart model, IWorkbenchPart part, IWorkbenchPartReference ref, IConfigurationElement element)`
Constructs an EditorSite for an editor.
``
`PartSite(MPart model, IWorkbenchPart part, IWorkbenchPartReference ref, IConfigurationElement element)`
Build the part site.
``
`ViewSite(MPart model, IWorkbenchPart part, IWorkbenchPartReference ref, IConfigurationElement element)`